org.apache.sling.hc.api

## Class ResultLog

- java.lang.Object
- - org.apache.sling.hc.api.ResultLog

All Implemented Interfaces:
  Iterable<ResultLog.Entry>

Direct Known Subclasses:
  FormattingResultLog

Deprecated.

    @Deprecated
    public class ResultLog
    extends Object
    implements Iterable<ResultLog.Entry>

The log of a Result, allows for providing multiple lines of information which are aggregated as a single Result.

### Nested Class Summary

Nested Classes
`static class` `ResultLog.Entry` Deprecated. An entry in this log

### Constructor Summary

Constructors
Constructor and Description
`ResultLog()` Deprecated. Build a log.
`ResultLog(ResultLog log)` Deprecated. Create a copy of the result log

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ResultLog` `add(ResultLog.Entry e)` Deprecated. Add an entry to this log.
`Result.Status` `getAggregateStatus()` Deprecated. Return our aggregate status, i.e.
`Iterator<ResultLog.Entry>` `iterator()` Deprecated. Return an Iterator on our entries
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### ResultLog

    public ResultLog()

Deprecated.
Build a log. Initial aggregate status is set to WARN, as an empty log is not considered ok. That's reset to OK before adding the first log entry, and then the status aggregation rules take over.

#### ResultLog

    public ResultLog(ResultLog log)

Deprecated.
Create a copy of the result log

### Method Detail

#### add

    public ResultLog add(ResultLog.Entry e)

Deprecated.
Add an entry to this log. The aggregate status of this is set to the highest of the current aggregate status and the new Entry's status

#### iterator

    public Iterator<ResultLog.Entry> iterator()

Deprecated.
Return an Iterator on our entries

Specified by:
  `iterator` in interface `Iterable<ResultLog.Entry>`

#### getAggregateStatus

    public Result.Status getAggregateStatus()

Deprecated.
Return our aggregate status, i.e. the highest status of the entries added to this log. Starts at OK for an empty ResultLog, so cannot be lower than that.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`